curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/resources/naics-codes/{code_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mycreditapp.ai/v1-beta/resources/naics-codes/{code_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mycreditapp.ai/v1-beta/resources/naics-codes/{code_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": 123,
"title": "<string>"
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "NAICS code not found!",
"type": "request",
"code": "naics_code_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Get a specific NAICS code
Returns detailed information about a specific NAICS code identified by its unique code_id. The response includes the NAICS numeric code, the industry title, and the unique identifier for this entry.
Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Path Parameters
Unique identifier for the NAICS code entry
"d49b0749-fbc7-4e0a-b03d-ef15f238071a"
"78b348b8-009c-4b87-af32-60a12fbc6e60"
Response
Successful Response
Unique identifier for the NAICS code entry
"d49b0749-fbc7-4e0a-b03d-ef15f238071a"
"78b348b8-009c-4b87-af32-60a12fbc6e60"
Official NAICS (North American Industry Classification System) numeric code
11
111
Title or name of the industry corresponding to the NAICS code
2 - 255"Agriculture, Forestry, Fishing and Hunting"
"Crop Production"